#include"Pregunta.h"
#include<QDomElement>
#include<iostream>

Pregunta::Pregunta(const QString& tipo)
    :tipo(tipo),
    texto(""),
    respuesta("")
{
}

Pregunta::~Pregunta()
{
}

bool Pregunta::leerPregunta(const QDomElement& elementos){
    //Este FOR recorre el arbol DOM entre los hijos de un mismo nivel (hermanos)
    //encontrando y asignando el texto correspondiente a las variables "texto" y "respuesta"
    for(QDomNode hijo = elementos.firstChild(); ! hijo.isNull(); hijo = hijo.nextSibling()){

        QDomElement elemento = hijo.toElement(); //Trata de converir a elemento el nodo hijo

        if(elemento.isNull()){

            continue;

        }

        if(elemento.tagName() == "text"){

            texto = elemento.text();

        }else if(elemento.tagName() == "answer"){

            respuesta = elemento.text();

        }

    }
    //Evalua que esos campos esten presentes
    //es decir evalua que por error del archivo no este indicado el texto
    //o la respuesta
    if(texto.isEmpty() || respuesta.isEmpty()){

        return false;

    }else{

        return true;

    }

}

QString Pregunta::obtenerTipo()const{

    return tipo;

}

QString Pregunta::obtenerTexto()const{

    return texto;

}
/*
void Pregunta::imprimirPregunta() const{
    //INTERFAZ GRAFICA
    //mensaje->setText(QString(texto));
    //mensaje->show();
    std::cout << qPrintable(texto);

}
*/
